# TdApi.SendCallLog (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: SendCallLog

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.SendCallLog

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.SendCallLog

Enclosing class:
  TdApi

public static final class TdApi.SendCallLog extends TdApi.Function<TdApi.Ok>
Sends log file for a call to Telegram servers. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`int`
`callId`
Call identifier.
`static final int`
`CONSTRUCTOR`
`TdApi.InputFile`
`logFile`
Call log file.

## Constructor Summary

Constructors
Constructor
Description
`SendCallLog()`
Sends log file for a call to Telegram servers.
`SendCallLog(int callId, TdApi.InputFile logFile)`
Sends log file for a call to Telegram servers.
`SendCallLog(DataInput input)`
Sends log file for a call to Telegram servers.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### callId

public int callId
Call identifier.

### logFile

public TdApi.InputFile logFile
Call log file. Only inputFileLocal and inputFileGenerated are supported.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### SendCallLog

public SendCallLog()
Sends log file for a call to Telegram servers. Returns `Ok`

### SendCallLog

public SendCallLog(int callId, TdApi.InputFile logFile)
Sends log file for a call to Telegram servers. Returns `Ok`

Parameters:
  `callId` - int Call identifier.
  `logFile` - InputFile Call log file. Only inputFileLocal and inputFileGenerated are supported.

### SendCallLog

public SendCallLog(DataInput input) throws IOException
Sends log file for a call to Telegram servers. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`